Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.app
Class CacheManager

    java.lang.Object
      |
      +--com.macromedia.generator.app.CacheManager

public class CacheManager
extends java.lang.Object

Constructor Summary
`CacheManager()`
`CacheManager(CacheProperties cacheproperties)`

Method Summary
`boolean` | `addRequest(java.lang.String s, Buffer buffer)`
`void` | `dispose()`
`protected void` | `finalize()`
`CacheLog` | `getCacheLog()`
`FileCache` | `getFileCache()`
`FontCache` | `getFontCache()`
`long` | `getInternalFontCacheMaxSize()`
`long` | `getInternalMediaCacheMaxSize()`
`MediaCache` | `getMediaCache()`
`java.lang.Object` | `getMediaData(FlashEnvironment flashenvironment, java.lang.String s, boolean flag)`
`CacheProperties` | `getProperties()`
`Buffer` | `getRequestBuffer(java.lang.String s)`
`RequestCache` | `getRequestCache()`
`void` | `loadExternalFonts(FlashEnvironment flashenvironment, Script script)`
`void` | `logHitCounts()`
`java.lang.String` | `makeRequestString(java.lang.String s, java.lang.String s1)`
`void` | `purgeCaches()`
`void` | `setProperties(CacheProperties cacheproperties)`
`java.lang.String` | `stripGeneratorParams(java.lang.String s)`
`boolean` | `useInternalCache()`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheManager

    public CacheManager()

### CacheManager

    public CacheManager(CacheProperties cacheproperties)

Method Detail

### addRequest

    public boolean addRequest(java.lang.String s,
                              Buffer buffer)

### dispose

    public void dispose()

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`

### getCacheLog

    public CacheLog getCacheLog()

### getFileCache

    public FileCache getFileCache()

### getFontCache

    public FontCache getFontCache()

### getInternalFontCacheMaxSize

    public long getInternalFontCacheMaxSize()

### getInternalMediaCacheMaxSize

    public long getInternalMediaCacheMaxSize()

### getMediaCache

    public MediaCache getMediaCache()

### getMediaData

    public java.lang.Object getMediaData(FlashEnvironment flashenvironment,
                                         java.lang.String s,
                                         boolean flag)

### getProperties

    public CacheProperties getProperties()

### getRequestBuffer

    public Buffer getRequestBuffer(java.lang.String s)

### getRequestCache

    public RequestCache getRequestCache()

### loadExternalFonts

    public void loadExternalFonts(FlashEnvironment flashenvironment,
                                  Script script)
                           throws GeneratorApiException

### logHitCounts

    public void logHitCounts()

### makeRequestString

    public java.lang.String makeRequestString(java.lang.String s,
                                              java.lang.String s1)

### purgeCaches

    public void purgeCaches()

### setProperties

    public void setProperties(CacheProperties cacheproperties)

### stripGeneratorParams

    public java.lang.String stripGeneratorParams(java.lang.String s)

### useInternalCache

    public boolean useInternalCache()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD